Get Dataset
curl --request GET \
--url https://api.your-blindsight.com/api/datasets/{dataset_id}import requests
url = "https://api.your-blindsight.com/api/datasets/{dataset_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"created_at": "<string>",
"updated_at": "<string>",
"last_scan_at": "<string>",
"status": "UPLOADING",
"severity": "UNSCANNED",
"vulnerabilities": 123,
"vulnerability_types": "<string>",
"scan_error": "<string>",
"branch_name": "main",
"is_main_branch": true,
"branch_family_uuid": "<string>",
"source_branch_uuid": "<string>",
"branch_origin": "<string>",
"branch_count": 1,
"owner_id": 123,
"permissions": {
"view": {
"users": [
123
],
"roles": [
"<string>"
]
},
"edit": {
"users": [
123
],
"roles": [
"<string>"
]
}
},
"can_edit": false,
"scans": [
{
"id": "<string>",
"scan_type": "<string>",
"dataset_dir": "<string>",
"params": {},
"status": "<string>",
"progress": 123,
"message": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>",
"engine_params": {},
"started_at": "<string>",
"finished_at": "<string>",
"duration_seconds": 123,
"total_issues": 0,
"critical_count": 0,
"high_count": 0,
"medium_count": 0,
"low_count": 0
}
],
"valid_images": 123,
"invalid_images": 123,
"document_count": 123,
"class_count": 123,
"classes": [
"<string>"
],
"image_specificity": "fine",
"active_scan_progress": 123,
"active_scan_elapsed_seconds": 123,
"active_scan_message": "<string>",
"active_scan_started_at": "<string>",
"active_scan_id": "<string>",
"active_scan_status": "<string>",
"active_scan_type": "<string>",
"issue_type": "<string>",
"webhook_url": "<string>",
"repo_url": "<string>",
"repo_requires_auth": true,
"has_repo_access_token": false,
"webhook_on_complete": false,
"webhook_on_failure": false,
"queued_scan_count": 0,
"issue_counts": {
"mislabel": 0,
"poison": 0,
"outlier": 0,
"bias": 0,
"shortcut": 0,
"flagged": 0
},
"latest_mislabel_scan_id": "<string>",
"processing": false,
"processed_3d": true,
"import_job_id": "<string>",
"import_provider": "<string>",
"import_status": "<string>",
"import_progress": 123,
"import_message": "<string>",
"import_error": "<string>",
"import_cancel_requested": false,
"import_updated_at": "<string>",
"import_has_stored_credentials": false,
"import_can_retry": false,
"dense_branch_build": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Get Dataset
Retrieve a dataset by its public id. Numeric primary keys are an internal implementation detail and should not be exposed to clients. If the provided id does not match any existing dataset a 404 is returned.
GET
/
api
/
datasets
/
{dataset_id}
Get Dataset
Path Parameters
Query Parameters
Optional branch name to resolve within the dataset family.
Include per-scan issue severity breakdowns in the embedded scans list.
Response
Successful Response
Available options:
UPLOADING, UNSCANNED, IN_QUEUE, SCANNING, SCANNED, QUARANTINED, STOPPED, FAILED Available options:
UNSCANNED, HEALTHY, UNHEALTHY-, UNHEALTHY+, CRITICAL Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
fine, broad Show child attributes
Show child attributes

